SCRAMBLE(1L)

NAME
scramble

SYNOPSIS
scramble -o outputFile [-d dictionary] [-e] [-i inputFile] [-s]

DESCRIPTION
scramble converts text-files containing natural-language text into binary files. If nicetext(1L) was the author of the text file and if scramble is using the same dictionary that nicetext used then scramble will recover the original input from nicetext. Otherwise, scramble is a pretty useless program. Note that although scramble is the inverse function of nicetext , nicetext is NOT the inverse function of scramble. Also note that certain modification can be made to the output of nicetext that will not effect the ability for scramble to recover the original input. For example, punctuation, whitespace, and uppercase/lowercase conversion will not make any difference. Furthermore, words that are not in the dictionary may be freely added to the text without any problems. Finally, any text may be appended to the nicetext. It is strongly recommended that you go through the tutorial supplied with the software. It demonstrates the flexibility in defining dictionaries and style sources for nicetext generation. The .ps or .pdf files in the doc directory of the distribution contain detailed papers on the theory of operation, etc.

OPTIONS

-d dictionary
    Use dictionary as the prefix to select the dictionary definition database. The default dictionary is mstr

-e  Print undefined words to stderr. The listword(1L) program is another way to do this.

-i inputFile
    Read sample natural-language texts from inputFile. The default is stdin.

-o outputFile
    Send the scrambled output to this file name.

-s  Normally, the software loads all database tables into RAM before processing. The -s option instructs the software to read each record from the database tables on disk during analysis. The primary advantage is that the software has a significantly smaller memory footprint. Another advantage is that you do not need to wait to load the dictionary into RAM - which can take some time. The disadvantage is that processing of large input files is significantly slower. Use this option if you are processing a relatively small input file or if you get memory errors when running without -s set.

EXAMPLES
It is strongly suggested that you try the examples in the tutorial directory of the NICETEXT distribution. For further information, please read the documentation in the doc directory.

SEE ALSO
bitcp(1L), dct2mstr(1L), expgram(1L), genmodel(1L), gramtest(1L), impkimmo(1L), impmsc(1L), impwbstr(1L), listword(1L), nicetext(1L), nttpd(1L), printint(1L), sortdct(1L), txt2dct(1L).